# Class CIM_VendorPolicyAction
extends CIM_PolicyAction

A class that provides a general extension mechanism for representing PolicyActions that have not been modeled with specific properties. Instead, the two properties ActionData and ActionEncoding are used to define the content and format of the Action, as explained below. As its name suggests, VendorPolicyAction is intended for vendor-specific extensions to the Policy Core Information Model. Standardized extensions are not expected to use this class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyAction
|
+--CIM_VendorPolicyAction

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A class that provides a general extension mechanism for representing PolicyActions that have not been modeled with specific properties. Instead, the two properties ActionData and ActionEncoding are used to define the content and format of the Action, as explained below. As its name suggests, VendorPolicyAction is intended for vendor-specific extensions to the Policy Core Information Model. Standardized extensions are not expected to use this class.

UMLPackagePath | string | CIM::Policy
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ActionEncoding | string |
Description | string | An OID encoded as a string, identifying the format and semantics for this instance's ActionData property.
ModelCorrespondence | string | CIM_VendorPolicyAction.ActionData
ActionData | string[] |

Description

string

This property provides a general extension mechanism for representing PolicyActions that have not been modeled with specific properties. The format of the octet strings in the array is left unspecified in this definition. It is determined by the OID value stored in the property ActionEncoding. Since ActionEncoding is single-valued, all the values of ActionData share the same format and semantics.

ModelCorrespondence | string | CIM_VendorPolicyAction.ActionEncoding
OctetString | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyAction
Description | string | CIM_ManagedElement
DoActionLogging | boolean | CIM_PolicyAction
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PolicyActionName | string | CIM_PolicyAction
PolicyRuleCreationClassName | string | CIM_PolicyAction
PolicyRuleName | string | CIM_PolicyAction
SystemCreationClassName | string | CIM_PolicyAction
SystemName | string | CIM_PolicyAction
PolicyKeywords | string[] | CIM_Policy

## Class Methods